MVN

com.bitmovin.api : bitmovin-java

Maven & Gradle

Nov 08, 2019
10 stars

Bitmovin Java Client · JAVA-Client which enables you to seamlessly integrate the all new Bitmovin API into your existing projects.

<dependency>
    <groupId>com.bitmovin.api</groupId>
    <artifactId>bitmovin-java</artifactId>
    <version>1.59.0</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of com.bitmovin.api : bitmovin-java to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 1.59.0
  • Latest Alpha: 3.1.1-alpha-0

All Versions

Choose a version of com.bitmovin.api : bitmovin-java to add to Maven or Gradle - All Versions:

  • Version Updated
  • bitmovin-java-1.59.0

    Nov 08, 2019
  • bitmovin-java-1.58.0

    Jul 04, 2019
  • bitmovin-java-1.57.0

    Jun 21, 2019
  • bitmovin-java-1.56.0

    Jun 05, 2019
  • bitmovin-java-1.55.0

    May 29, 2019
  • bitmovin-java-1.54.0

    May 22, 2019
  • bitmovin-java-1.53.0

    Apr 03, 2019
  • bitmovin-java-1.52.0

    Apr 02, 2019
  • bitmovin-java-3.1.1-alpha-0

    Feb 25, 2019
  • bitmovin-java-3.0.0-alpha-0

    Feb 15, 2019
  • bitmovin-java-1.51.0

    Feb 01, 2019
  • bitmovin-java-1.50.0

    Dec 10, 2018
  • bitmovin-java-1.49.0

    Dec 05, 2018
  • bitmovin-java-1.48.0

    Nov 28, 2018
  • bitmovin-java-1.47.0

    Nov 19, 2018
  • bitmovin-java-1.46.0

    Nov 13, 2018
  • bitmovin-java-1.45.0

    Nov 06, 2018
  • bitmovin-java-1.44.0

    Nov 01, 2018
  • bitmovin-java-1.43.0

    Oct 25, 2018
  • bitmovin-java-1.42.0

    Oct 19, 2018
  • bitmovin-java-1.41.0

    Oct 18, 2018
  • bitmovin-java-1.40.0

    Oct 18, 2018
  • bitmovin-java-1.39.0

    Oct 14, 2018
  • bitmovin-java-1.38.0

    Sep 26, 2018
  • bitmovin-java-1.37.0

    Sep 06, 2018
  • bitmovin-java-1.36.0

    Aug 29, 2018
  • bitmovin-java-1.35.0

    Aug 28, 2018
  • bitmovin-java-1.34.0

    Aug 22, 2018
  • bitmovin-java-1.33.0

    Aug 20, 2018
  • bitmovin-java-1.32.0

    Jul 20, 2018
  • bitmovin-java-1.31.0

    Jul 19, 2018
  • bitmovin-java-1.30.1

    Jul 13, 2018
  • bitmovin-java-1.30.0

    Jul 12, 2018
  • bitmovin-java-1.29.0

    Jul 04, 2018
  • bitmovin-java-1.28.0

    Jul 04, 2018
  • bitmovin-java-1.27.0

    Jul 04, 2018
  • bitmovin-java-1.26.0

    Jul 03, 2018
  • bitmovin-java-1.25.0

    Jun 29, 2018
  • bitmovin-java-1.24.0

    Jun 28, 2018
  • bitmovin-java-1.23.0

    Jun 27, 2018
  • bitmovin-java-1.22.0

    Jun 04, 2018
  • bitmovin-java-1.21.0

    Jun 02, 2018
  • bitmovin-java-1.20.0

    Jun 01, 2018
  • bitmovin-java-1.19.0

    May 15, 2018
  • bitmovin-java-1.17.0

    Apr 03, 2018
  • bitmovin-java-1.16.0

    Apr 03, 2018
  • bitmovin-java-1.15.0

    Mar 28, 2018
  • bitmovin-java-1.14.0

    Mar 19, 2018
  • bitmovin-java-1.13.0

    Mar 13, 2018
  • bitmovin-java-1.12.0

    Mar 07, 2018
  • bitmovin-java-1.11.0

    Feb 21, 2018
  • bitmovin-java-1.10.0

    Jan 31, 2018
  • bitmovin-java-1.9.0

    Jan 09, 2018
  • bitmovin-java-1.8.0

    Sep 26, 2017
  • bitmovin-java-1.7.0

    Sep 19, 2017
  • bitmovin-java-1.6.0

    Sep 05, 2017
  • bitmovin-java-1.5.0

    Aug 29, 2017
  • bitmovin-java-1.4.0

    Jul 27, 2017
  • bitmovin-java-1.3.2

    Jul 14, 2017
  • bitmovin-java-1.3.0

    Jun 23, 2017
  • bitmovin-java-1.2.0

    Jun 09, 2017
  • bitmovin-java-1.1.0

    Jun 01, 2017
  • bitmovin-java-1.0.0

    Jun 01, 2017

How to add a dependency to Maven

Add the following com.bitmovin.api : bitmovin-java maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>com.bitmovin.api</groupId>
    <artifactId>bitmovin-java</artifactId>
    <version>1.59.0</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following com.bitmovin.api : bitmovin-java gradle dependency to your build.gradle file:

implementation 'com.bitmovin.api:bitmovin-java:1.59.0'

Gradle Kotlin DSL: Add the following com.bitmovin.api : bitmovin-java gradle kotlin dependency to your build.gradle.kts file:

implementation("com.bitmovin.api:bitmovin-java:1.59.0")

How to add a dependency to SBT Scala

SBT Scala: Add the following com.bitmovin.api : bitmovin-java sbt scala dependency to your build.sbt file:

libraryDependencies += "com.bitmovin.api" % "bitmovin-java" % "1.59.0"